> ## Documentation Index
> Fetch the complete documentation index at: https://bmpmoneyplus-sandbox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 37 - Liberação para Pagamento

Through this endpoint, our partner can release the proposal to the payment queue after receiving the “finalized” proposal status. In this case, the disbursement process will be our responsibility.

<Expandable title="Messaging">
  | Category | Operation       | Action  | Code  | Detailed Code | Message                                                                                                        |
  | -------- | --------------- | ------- | ----- | ------------- | -------------------------------------------------------------------------------------------------------------- |
  | Proposta | PropostaLiberar | Liberar | C0065 | V0001         | The proposal cannot be released by this partner                                                                |
  | Proposta | PropostaLiberar | Liberar | C0065 | V0002         | The proposal has already been released                                                                         |
  | Proposta | PropostaLiberar | Liberar | C0065 | V0003         | The proposal cannot be released because its status is `{SituacaoPropostaEnum.GetDescricao(proposta.Situacao)}` |
  | Proposta | PropostaLiberar | Liberar | C0112 | V0001         | Proposal not found                                                                                             |
  | Proposta | PropostaLiberar | Liberar | C0112 | V0002         | The Proposal does not belong to this Integration                                                               |
  | Proposta | PropostaLiberar | Liberar | C0187 | V0001         | Provide the subject of the history                                                                             |
</Expandable>


## OpenAPI

````yaml post /Proposta/Liberar
openapi: 3.0.1
info:
  title: BMPDigitalCore.ApiExterna.Proposta.API
  version: '1.0'
servers:
  - url: https://api.bmpdigital.moneyp.dev.br/
    description: Localhost
security:
  - Bearer: []
paths:
  /Proposta/Liberar:
    post:
      tags:
        - Proposta
      parameters:
        - name: IdempotencyKey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PropostaLiberarCommand'
          text/json:
            schema:
              $ref: '#/components/schemas/PropostaLiberarCommand'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PropostaLiberarCommand'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ActionResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            text/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
components:
  schemas:
    PropostaLiberarCommand:
      type: object
      properties:
        dto:
          $ref: '#/components/schemas/FindPropostaDTO'
        parametros:
          type: array
          items:
            $ref: '#/components/schemas/ParametroDTO'
          nullable: true
      additionalProperties: false
    ActionResponse:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        hasError:
          type: boolean
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
        parametros:
          type: array
          items:
            $ref: '#/components/schemas/ParametroDTO'
          nullable: true
      additionalProperties: false
    ResponseBase:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        hasError:
          type: boolean
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
      additionalProperties: false
    FindPropostaDTO:
      type: object
      properties:
        codigoProposta:
          type: string
          description: Código identificador da proposta
          format: uuid
          nullable: true
        codigoOperacao:
          type: string
          description: Código da operação do parceiro
          nullable: true
        numeroProposta:
          type: integer
          description: Número sequencial da proposta
          format: int64
          nullable: true
      additionalProperties: false
    ParametroDTO:
      type: object
      properties:
        nome:
          type: string
          description: Refere-se ao nome do parâmetro.
          nullable: true
        valor:
          type: string
          description: Refere-se ao valor do parâmetro.
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        messageType:
          $ref: '#/components/schemas/ErrorType'
        code:
          type: string
          nullable: true
        context:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        field:
          type: string
          nullable: true
      additionalProperties: false
    ErrorType:
      enum:
        - 1
        - 2
        - 3
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: apiKey
      description: Informe o token
      name: Authorization
      in: header

````